(* CharTables.icl -- included by Tools.pas *)


(* Character conversion tables for UpCase, LoCase, comparision values *)


(******************************************************************************)
(*                                                                            *)
(*  This file is part of BO5, the user interface library for GNU Pascal.      *)
(*                                                                            *)
(*  BO5 will be distributed as free software (probably under the terms of     *)
(*  the GNU Library General Public License) as soon as it will have reached   *)
(*  some state of completion.  Up to that time, you are allowed to use BO5    *)
(*  for non-commercial purposes only.  You may distribute verbatim copies of  *)
(*  BO5 as a whole, but only without -- even a nominal -- fee.  You may not   *)
(*  distribute parts or changed versions of BO5.  I stress that there is      *)
(*  absolutely NO WARRANTY for BO5 -- any risk of using BO5 is with you!      *)
(*                                                                            *)
(*  Copyright (C) 1995  Peter Gerwinski, Duesseldorfer Str. 35                *)
(*                      (with TeX: D\"usseldorfer Str. 35)                    *)
(*                      45145 Essen, Germany                                  *)
(*                      e-mail: pege@mail.theo-phys.uni-essen.de              *)
(*                                                                            *)
(******************************************************************************)


Const
  UpCase: CharTable =
    (  chr ( 0 ),  chr ( 1 ),  chr ( 2 ),  chr ( 3 ),
       chr ( 4 ),  chr ( 5 ),  chr ( 6 ),  chr ( 7 ),
       chr ( 8 ),  chr ( 9 ),  chr ( 10 ), chr ( 11 ),
       chr ( 12 ), chr ( 13 ), chr ( 14 ), chr ( 15 ),
       chr ( 16 ), chr ( 17 ), chr ( 18 ), chr ( 19 ),
       chr ( 20 ), chr ( 21 ), chr ( 22 ), chr ( 23 ),
       chr ( 24 ), chr ( 25 ), chr ( 26 ), chr ( 27 ),
       chr ( 28 ), chr ( 29 ), chr ( 30 ), chr ( 31 ),
      ' ', '!', '"', '#', '$', '%', '&', '''',
      '(', ')', '*', '+', ',', '-', '.', '/',
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', ':', ';', '<', '=', '>', '?',
      '@', 'A', 'B', 'C', 'D', 'E', 'F', 'G',
      'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
      'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
      'X', 'Y', 'Z', '[', '\', ']', '^', '_',
      '`', 'A', 'B', 'C', 'D', 'E', 'F', 'G',
      'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
      'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
      'X', 'Y', 'Z', '{', '|', '}', '~', '',
      '', '', '', 'A', '', 'A', '', '',
      'E', 'E', 'E', 'I', 'I', 'I', '', '',
      '', '', '', 'O', '', 'O', 'U', 'U',
      'Y', '', '', '', '', '', '', '',
      'A', 'I', 'O', 'U', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', chr ( 255 ) );

  LoCase: CharTable =
    (  chr ( 0 ),  chr ( 1 ),  chr ( 2 ),  chr ( 3 ),
       chr ( 4 ),  chr ( 5 ),  chr ( 6 ),  chr ( 7 ),
       chr ( 8 ),  chr ( 9 ),  chr ( 10 ), chr ( 11 ),
       chr ( 12 ), chr ( 13 ), chr ( 14 ), chr ( 15 ),
       chr ( 16 ), chr ( 17 ), chr ( 18 ), chr ( 19 ),
       chr ( 20 ), chr ( 21 ), chr ( 22 ), chr ( 23 ),
       chr ( 24 ), chr ( 25 ), chr ( 26 ), chr ( 27 ),
       chr ( 28 ), chr ( 29 ), chr ( 30 ), chr ( 31 ),
      ' ', '!', '"', '#', '$', '%', '&', '''',
      '(', ')', '*', '+', ',', '-', '.', '/',
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', ':', ';', '<', '=', '>', '?',
      '@', 'a', 'b', 'c', 'd', 'e', 'f', 'g',
      'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
      'p', 'q', 'r', 's', 't', 'u', 'v', 'w',
      'x', 'y', 'z', '[', '\', ']', '^', '_',
      '`', 'a', 'b', 'c', 'd', 'e', 'f', 'g',
      'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
      'p', 'q', 'r', 's', 't', 'u', 'v', 'w',
      'x', 'y', 'z', '{', '|', '}', '~', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', '',
      '', '', '', '', '', '', '', chr ( 255 ) );

  CmpVal: CharTable =
    ( chr ( 0 ), '@', '@', '@', '@', 'E', 'A', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', '@', '@', '@', '@', '@', '@',
      '@', 'A', 'B', 'C', 'D', 'E', 'F', 'G',
      'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
      'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
      'X', 'Y', 'Z', '@', '@', '@', '@', '@',
      '@', 'A', 'B', 'C', 'D', 'E', 'F', 'G',
      'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
      'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
      'X', 'Y', 'Z', '@', '@', '@', '@', '@',
      'C', 'U', 'E', 'A', 'A', 'A', 'A', 'C',
      'E', 'E', 'E', 'I', 'I', 'I', 'A', 'A',
      'E', 'A', 'A', 'O', 'O', 'O', 'U', 'U',
      'Y', 'O', 'U', '@', '@', '@', '@', '@',
      'A', 'I', 'O', 'U', 'N', 'N', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', '@',
      '@', '@', '@', '@', '@', '@', '@', chr ( 255 ) );
