(* CompOpts.icl -- included by all .pas files of BO5 *)


(* reasonable GNU Pascal compiler directives, and global definitions *)


(******************************************************************************)
(*                                                                            *)
(*  This file is part of BO5, the user interface library for GNU Pascal.      *)
(*                                                                            *)
(*  BO5 will be distributed as free software (probably under the terms of     *)
(*  the GNU Library General Public License) as soon as it will have reached   *)
(*  some state of completion.  Up to that time, you are allowed to use BO5    *)
(*  for non-commercial purposes only.  You may distribute verbatim copies of  *)
(*  BO5 as a whole, but only without -- even a nominal -- fee.  You may not   *)
(*  distribute parts or changed versions of BO5.  I stress that there is      *)
(*  absolutely NO WARRANTY for BO5 -- any risk of using BO5 is with you!      *)
(*                                                                            *)
(*  Copyright (C) 1995  Peter Gerwinski, Duesseldorfer Str. 35                *)
(*                      (with TeX: D\"usseldorfer Str. 35)                    *)
(*                      45145 Essen, Germany                                  *)
(*                      e-mail: pege@mail.theo-phys.uni-essen.de              *)
(*                                                                            *)
(******************************************************************************)


(*$B-*)  (* short-circuit Boolean operations  *)
(*$C-*)  (* no C-numbers like 0x7F or 0177    *)
(*$E-*)  (* no C-char-escapes like '\E'       *)
(*$L+*)  (* lazy I/O                          *)
(*$N+*)  (* allow nested comments {like this} *)
(*$P-*)  (* don't be --pedantic               *)
(*$W+*)  (* enable warnings (local switch)    *)
(*$X+*)  (* allow eXtended syntax             *)

(*$define BO5 *)  (* define BO5 (for ifdef etc.)   *)

(*$define exit return *)  (* Borland/UCSD Pascal "Exit" statement *)
(*$define Exit return *)  (* (I don't like such $defines, but I   *)
(*$define EXIT return *)  (* don't see any other possibility.)    *)

(*$define cstring __cstring__ *)  (* Avoid underscores.  Since    *)
(*$define Cstring __cstring__ *)  (* "Type CString = __cstring__" *)
(*$define CString __cstring__ *)  (* did not work, we $define it. *)
(*$define cString __cstring__ *)
(*$define CSTRING __cstring__ *)

