Unit Events;


(* Event manager: keyboard, mouse, ... *)


(******************************************************************************)
(*                                                                            *)
(*  This file is part of BO5, the user interface library for GNU Pascal.      *)
(*                                                                            *)
(*  BO5 will be distributed as free software (probably under the terms of     *)
(*  the GNU Library General Public License) as soon as it will have reached   *)
(*  some state of completion.  Up to that time, you are allowed to use BO5    *)
(*  for non-commercial purposes only.  You may distribute verbatim copies of  *)
(*  BO5 as a whole, but only without -- even a nominal -- fee.  You may not   *)
(*  distribute parts or changed versions of BO5.  I stress that there is      *)
(*  absolutely NO WARRANTY for BO5 -- any risk of using BO5 is with you!      *)
(*                                                                            *)
(*  Copyright (C) 1995  Peter Gerwinski, Duesseldorfer Str. 35                *)
(*                      (with TeX: D\"usseldorfer Str. 35)                    *)
(*                      45145 Essen, Germany                                  *)
(*                      e-mail: pege@mail.theo-phys.uni-essen.de              *)
(*                                                                            *)
(******************************************************************************)


(*$I CompOpts.icl *)


(* Currently, only simple keyboard handling *)
(* is implemented.  A more complet version  *)
(* will follow as soon as possible.         *)


Interface


uses
  Tools, Objects;


(*** Simple keyboard handling ***)

Function KeyPressed: Boolean;  (* Like Borland/UCSD                    *)
Function ReadKey: Char;        (* Similar to Borland.  For F-keys etc. *)
                               (* the return value is undefined!       *)


(*** Initialization and finalization (called automatically) ***)

Procedure InitEvents;
Procedure FiniEvents;


Implementation


(*$define EVENTS *)
  (*$I SysDep.icl *) 
(*$undef EVENTS *)


to begin 30 do
  InitEvents;


to end do
  FiniEvents;


end.
