/*
 * C functions for the LORD adventure game.
 *
 * Author: Juki <jtv@hut.fi>
 */

#include <stdio.h>
#include <sys/ioctl.h>

void
Initrandom ()
{
  srandom (time(0));
}

int
Getrandom ()
{
  return random ();
}

int
Runtime ()
{
  return 0;
}

 
int
Gettyp()
{
  /* Assume this is a terminal with some capabilities */
  return 5;
}
 
#define UFOLOG "/tmp/lord.log"
#define UFOLEN 10

void
Tmlin (s)
     char *s;
{
  FILE *ufo = fopen (UFOLOG, "a+");
  if (ufo)
    {
      fprintf (ufo, "%*.*s\n", UFOLEN, UFOLEN, s);
      fclose (ufo);
    }
}
 
void
Dynari()
{
}

void
Aridyn()
{
}
 
void
Savegame(dbeg,dend,sfile)
     int dbeg, dend;
     FILE *sfile;
{
  printf ("*** SAVE GAME is not implemented ***\n");
  sleep (1);
}

void
Restoregame(dbeg,dend, sfile)
     int dbeg, dend;
     FILE *sfile;
{
  printf ("*** RESTORE GAME is not implemented ***\n");
  sleep (1);
}
 
/* Return the current value of a SECOND counter */
int
Playtime ()
{
  return time (0);
}

 
/* Return TRUE the first time, then FALSE */
int
Beg1n ()
{
  static int value = 0;

  return value++ == 0;
}

static struct sgttyb orig_mode;
static struct sgttyb current_mode;
static struct sgttyb saved_mode;

/* Have we done init yet? */
int _scr_did_init = 0;

int
c_tty_mode (mode)
     int mode;
{
  if (! _scr_did_init)
    {
      _scr_did_init = 1;

      if (ioctl (0, TIOCGETP, (char *)&orig_mode) == -1)
	{
	  perror ("Can't save tty modes!!!!");
	  exit (1);
	}

      /* Save the original tty modes also here */
      saved_mode  = current_mode = orig_mode;
    }
  
  switch (mode) {
  case 0:	/* Restore original modes */
    current_mode = orig_mode;
    break;
    
  case 1:	/* Set RAW mode */
    current_mode.sg_flags |= (RAW);
    break;

  case 2:	/* Set Cooked mode (e.g. unset RAW */
    current_mode.sg_flags &= ~(RAW);
    break;

  case 3:	/* Set CBREAK mode */
    current_mode.sg_flags |= (CBREAK);
    break;

  case 4:	/* Unset CBREAK mode */
    current_mode.sg_flags &= ~(CBREAK);
    break;

  case 5:	/* Set NO ECHO mode */
    current_mode.sg_flags &= ~(ECHO);
    break;
    
  case 6:	/* Set ECHO mode */
    current_mode.sg_flags |= (ECHO);
    break;

  case 7:	/* Save current mode */
    saved_mode = current_mode;
    return 0;

  case 8:	/* Restore saved mode */
    current_mode = saved_mode;
    break;
  }
  
  if (ioctl (0, TIOCSETP, (char *)&current_mode) == -1)
    {
      perror ("c_tty_mode: Can't set tty mode");
      
      return 1;
    }
}
